Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044117
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionarymajorhave not tried2020-05-20 08:482020-06-05 08:44
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q3
StatusclosedFix in branchFixed in SCM revision40246be202c8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044117: API Change: Remove obsolete OrderPO Print process

DescriptionRemove Java class org.openbravo.erpReports.RptC_OrderPO
Remove method org.openbravo.erpCommon.reference.ActionButtonData.process800004
Remove JRXML templates src/org/openbravo/erpReports/RptC_OrderPO.jrxml, src/org/openbravo/erpReports/RptC_OrderPO_Lines.jrxml
Remove references from AD_PROCESS, AD_MODEL_OBJECT, AD_MODEL_OBJECT_MAPPING and AD_TEXTINTERFACES
Remove AD_PROCESS_ACCESS references from Core, Retail and AWO Sample Data module if any.

Template RptC_OrderPO.jrxml used in QA Testing sample data in C_POC_DOCTYPE_TEMPLATE for Purchase Order Document Type could be replaced with C_OrderJR_new.jrxml the same way as in F&B International Group client document type for Purchase Order.

The risk is very low as the AD_PROCESS_ACCESS references in Core, Retail and AWO Sample data could be easily managed.
Steps To Reproduce-
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0044033 closedAtulOpenbravo Review and probably remove unused RptC_OrderP java and jrxml files 

-  Notes
(0120555)
hgbot (developer)
2020-06-03 03:56

Repository: erp/devel/api-checks
Changeset: 40246be202c8008e6226250e589e7d6ae03df16f
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Jun 03 07:21:00 2020 +0530
URL: http://code.openbravo.com/erp/devel/api-checks/rev/40246be202c8008e6226250e589e7d6ae03df16f [^]

Fixes BUG-0044117: API Change: Remove obsolete OrderPO Print process

**Removed references from AD_PROCESS, AD_MODEL_OBJECT,
AD_MODEL_OBJECT_MAPPING and AD_TEXTINTERFACES
**Update java.japi.gz to manage removal of Java class
org.openbravo.erpReports.RptC_OrderPO and method
org.openbravo.erpCommon.reference.ActionButtonData.process800004

---
M java/reference/java.japi.gz
M model/src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M model/src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M model/src-db/database/sourcedata/AD_PROCESS.xml
M model/src-db/database/sourcedata/AD_TEXTINTERFACES.xml
---
(0120682)
vmromanos (developer)
2020-06-05 08:44

CI passed successfully

- Issue History
Date Modified Username Field Change
2020-05-20 08:48 AtulOpenbravo New Issue
2020-05-20 08:48 AtulOpenbravo Assigned To => dmitry_mezentsev
2020-05-20 08:48 AtulOpenbravo Modules => Core
2020-05-20 08:48 AtulOpenbravo Triggers an Emergency Pack => No
2020-05-20 08:49 AtulOpenbravo Relationship added blocks 0044033
2020-05-20 08:57 AtulOpenbravo Description Updated View Revisions
2020-05-22 12:20 dmitry_mezentsev Tag Attached: Approved
2020-06-01 18:19 AtulOpenbravo Status new => scheduled
2020-06-01 18:19 AtulOpenbravo Assigned To dmitry_mezentsev => AtulOpenbravo
2020-06-03 03:56 hgbot Checkin
2020-06-03 03:56 hgbot Note Added: 0120555
2020-06-03 03:56 hgbot Status scheduled => resolved
2020-06-03 03:56 hgbot Resolution open => fixed
2020-06-03 03:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/40246be202c8008e6226250e589e7d6ae03df16f [^]
2020-06-05 08:44 vmromanos Review Assigned To => vmromanos
2020-06-05 08:44 vmromanos Note Added: 0120682
2020-06-05 08:44 vmromanos Status resolved => closed
2020-06-05 08:44 vmromanos Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker